EJECT(1)

NOM
eject - Éjecter des médias amovibles

SYNOPSIS
eject -h
eject [-vnrsfmqp] [<nom>]
eject [-vn] -d
eject [-vn] -a on|off|1|0 [<nom>]
eject [-vn] -c <slot> [<nom>]
eject [-vn] -t [<nom>]
eject [-vn] -T [<nom>]
eject [-vn] -x <vitesse> [<nom>]
eject [-vn] -X [<nom>]
eject -V

DESCRIPTION
eject permet aux médias amovibles (tels que les CD-ROM, les disquettes, les bandes, les disques JAZ ou ZIP) d'être éjectés sous contrôle logiciel. La commande peut également contrôler quelques changeurs de CD-ROM multi-disques, le dispositif d'auto-éjection supporté par certains périphériques, et fermer le tiroir de quelques lecteurs de CD-ROM. Le périphérique correspondant à <nom> est éjecté. Le nom peut être soit un fichier de périphérique ou un point de montage, soit un chemin d'accès complet ou la même chose mais sans /dev ou /mnt. Si aucun nom n'est indiqué, le nom par défaut est « cdrom ». Il y a quatre méthodes différentes d'éjection, selon que le périphérique est un cdrom, un périphérique SCSI, une disquette, ou une bande. Par défaut, eject essaye les quatre méthodes dans l'ordre jusqu'à la réussite. Si le périphérique est monté, il est démonté avant l'éjection.

OPTIONS

-h  Afficher une courte description des options.

-v  Mode volubile : eject en dit un peu plus sur la commande en cours.

-d  Afficher le nom du périphérique par défaut.

-a on|1|off|0
    Cette option contrôle le mode d'auto-éjection, supporté par quelques périphériques. Après validation, le lecteur éjecte automatiquement lorsque le périphérique est fermé.

-c <slot>
    Sélectionner un emplacement CD d'un changeur de CD-ROM ATAPI/IDE. Linux 2.0 au moins est nécessaire pour utiliser cette fonction. Le lecteur de CD-ROM ne peut pas être en service (CD de données monté ou CD de musique en train de jouer) pour qu'une demande de changement fonctionne. Veuillez noter également que le premier emplacement du changeur est désigné par 0, et non 1.

-t  Fermer le tiroir. Tous les lecteurs de CD-ROM ne supportent pas cette commande.

-T  Fermer le tiroir s'il est ouvert, l'ouvrir s'il est fermé. Tous les lecteurs de CD-ROM ne supportent pas cette commande car elle utilise la commande de fermeture précédente.

-x <vitesse>
    Sélectionner la vitesse du lecteur CD-ROM. L'argument vitesse est un nombre spécifiant la vitesse désirée (par exemple 8 pour une vitesse de 8X), ou 0 pour obtenir la vitesse maximale. Tous les périphériques ne supportent pas cette commande et vous ne pouvez indiquer que les vitesses que le lecteur est réellement capable de réaliser. À chaque fois que le medium est changé, l'option est remise à zéro. Cette option peut être utilisée seule ou conjointement aux options -t et -c.

-X  Cette option permet de sonder le lecteur CD-ROM afin qu'il indique ses vitesses disponibles. La sortie sera donc la liste de toutes les vitesses qui pourront être utilisées en tant que paramètre de l'option -x. Cette option ne fonctionne qu'avec les noyaux Linux 2.6.13 et suivants. Avec les noyaux précédents, seule la vitesse maximum était affichée. Veuillez noter que certains lecteurs n'indiquent pas correctement leurs vitesses, aussi, cette option ne fonctionne pas avec eux.

-n  Afficher le périphérique sélectionné. Aucune action n'est exécutée.

-r  Éjecter le medium en utilisant la commande d'éjection CD-ROM.

-s  Éjecter le medium en utilisant la commande d'éjection SCSI.

-f  Éjecter le medium en utilisant la commande d'éjection de disquette amovible.

-q  Éjecter le medium en utilisant la commande de lecteur de bande hors-ligne.

-p  Utiliser /proc/mounts au lieu de /etc/mtab. Dans ce cas, l'option -n est utilisée avec umount(8).

-m  Cette option permet à eject de fonctionner avec les pilotes de périphériques qui montent automatiquement les media amovibles et qui doivent donc toujours être montés. Cette option indique à eject de ne pas essayer de démonter le périphérique indiqué, même s'il est monté conformément à /etc/mtab ou /proc/mounts.

-V  Afficher le numéro de version et quitter.

OPTIONS LONGUES
Toutes les options ont des noms longs correspondants, comme indiqués ci-dessous. Les noms longs peuvent être abrégés tant qu'ils restent uniques.

-h --help
-v --verbose
-d --default
-a --auto
-c --changerslot
-t --trayclose
-T --traytoggle
-x --cdspeed
-X --listspeed
-n --noop
-r --cdrom
-s --scsi
-f --floppy
-q --tape
-V --version
-p --proc
-m --no-unmount

EXEMPLES

Éjecter le périphérique par défaut :

    eject

Éjecter un périphérique ou un point de montage appelé cdrom :

    eject cdrom

Éjecter en utilisant le nom du périphérique :

    eject /dev/cdrom

Éjecter en utilisant le point de montage :

    eject /mnt/cdrom/

Éjecter le quatrième périphérique IDE :

    eject hdd

Éjecter le premier périphérique SCSI :

    eject sda

Éjecter en utilisant le nom de partition SCSI (par exemple, un lecteur ZIP) :

    eject sda4

Sélectionner le cinquième disque d'un changeur multi-disque :

    eject -v -c4 /dev/cdrom

Active l'auto-éjection sur un lecteur de CD-ROM SoundBlaster :

    eject -a on /dev/sbpcd

VALEUR RENVOYÉE
eject renvoie 0 si l'exécution s'est bien passée, 1 si l'exécution a échoué ou si la syntaxe de la commande était incorrecte.

NOTES

eject fonctionne uniquement avec les périphériques qui supportent au moins une des quatre méthodes d'éjection. Ceci inclut la plupart des lecteurs de CD-ROM (IDE, SCSI, et propriétaire), certains lecteurs de bandes magnétiques SCSI, les lecteurs JAZ, les lecteurs ZIP (parallèles, SCSI, et IDE), et les disquettes amovibles LS120. Des utilisateurs ont également signalé des réussites avec des lecteurs de disquettes sur des systèmes Sun SPARC et Apple Macintosh. Si eject ne fonctionne pas, c'est plus probablement une limitation du pilote noyau du périphérique et pas du programme eject lui-même.

Les options -r, -s, -f et -q permettent de contrôler quelles méthodes sont utilisées pour l'éjection. Plus d'une méthode peut être indiquée. Si aucune de ces options n'est indiquée, les quatre sont essayées (ceci fonctionne très bien dans la plupart des cas).

eject ne peut pas toujours être capable de déterminer si le périphérique est monté (par exemple, s'il a plusieurs noms). Si le nom du périphérique est un lien symbolique, eject suivra le lien et utilisera le périphérique vers lequel il pointe.

Si eject détermine que le périphérique peut avoir des partitions multiples, il essayera de démonter toutes les partitions montées du périphérique avant l'éjection. Si un démontage échoue, le programme n'essayera pas d'éjecter le média.

Vous pouvez éjecter un CD audio. Quelques lecteurs de CD-ROM refuseront d'ouvrir le tiroir si le lecteur est vide. Quelques périphériques ne gèrent pas la commande de fermeture du tiroir.

Si le dispositif d'auto-éjection est activé, le lecteur sera toujours éjecté après l'exécution de cette commande. Les pilotes CD-ROM du noyau Linux ne supportent pas tous le mode d'auto-éjection. Il n'y a aucun moyen de connaître l'état du mode d'auto-éjection.

Vous avez besoin des privilèges appropriés pour accéder aux fichiers du périphérique. L'exécution en tant que superutilisateur ou Set-UID root est nécessaire pour éjecter certains périphériques (par exemple, les périphériques SCSI).

La méthode heuristique utilisée afin de trouver un périphérique, pour un nom donné, est la suivante. Si le nom se termine par une barre oblique, il est retiré (ceci afin de supporter les noms de fichiers produits en utilisant la complétion de noms de l'interpréteur de commandes). Si le nom commence par . ou /, il essaye de l'ouvrir comme un fichier de périphérique ou un point de montage. Si cela échoue, il essaye d'ajouter au début /dev/, /mnt/, /dev/rdsk/, /dev/dsk/ et finalement ./ au nom, jusqu'à ce qu'un fichier de périphérique ou un point de montage soit trouvé qui puisse être ouvert. Le programme vérifie /etc/mtab pour les périphériques montés. Si cela échoue, il vérifie également /etc/fstab pour les points de montage des périphériques actuellement non montés.

Il est recommandé de créer des liens symboliques tels que /dev/cdrom ou /dev/zip de sorte que eject puisse déterminer les périphériques appropriés en utilisant des noms facilement mémorisables.

Pour vous éviter de tout retaper à chaque fois, vous pouvez créer un alias shell pour les options d'eject qui fonctionnent pour votre installation personnelle.

AUTEURS

eject a été écrit par Jeff Tranter (tranter@pobox.com) et est distribué sous les termes de la GNU General Public License. Voir le fichier COPYING et les notes dans le code source pour les détails.

L'option -x a été ajoutée par Nobuyuki Tsuchimura (tutimura@nn.iij4u.or.jp), avec l'aide de Roland Krivanek (krivanek@fmph.uniba.sk) et de sa commande cdrom_speed.

L'option -T a été ajoutée par Sybren Stuvel (sybren@thirdtower.com), avec une grande aide de Benjamin Schwenk (benjaminschwenk@yahoo.de).

L'option -X a été ajoutée par Éric Piel (Eric.Piel@tremplin-utc.net).

VOIR AUSSI
mount(2), umount(2), mount(8), umount(8)
/usr/src/linux/Documentation/cdrom/

TRADUCTION

Ce document est une traduction réalisée par Laëtitia Groslong <lgr25 AT wanadoo DOT fr> le 26 février 2002, mise à jour par Éric Piel <eric DOT piel AT tremplin-utc DOT fr> le 9 décembre 2003 ét révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 eject ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.